NPM-ROOT(1)

NAME
npm-root

Synopsis
<!-- AUTOGENERATED USAGE DESCRIPTIONS -->

Description

Print the effective node_modules folder to standard out.

Useful for using npm in shell scripts that do things with the
node_modules folder. For example:
    #!/bin/bash
    global_node_modules="$(npm root --global)"
    echo "Global packages installed in: ${global_node_modules}"

Configuration
<!-- AUTOGENERATED CONFIG DESCRIPTIONS -->

See Also

    •   npm prefix

    •   npm bin

    •   npm folders

    •   npm config

    •   npmrc